本文基于aliyun-java-sdk-green 3.5.0 介绍如何安装Java SDK。

环境准备

环境要求:使用Java 1.6及以上版本。
说明 您可以执行命令 java -version 查看Java 版本。

安装SDK

在 Maven 工程中使用 aliyun-java-sdk-green Java SDK,只需在 pom.xml 中加入相应依赖即可。以 3.5.0 版本为例,在 <dependencies> 内引入以下内容:
<dependency>
          <groupId>com.aliyun</groupId>
          <artifactId>aliyun-java-sdk-core</artifactId>
          <version>4.1.1</version>
      </dependency>
    <dependency>
            <groupId>com.aliyun</groupId>
            <artifactId>aliyun-java-sdk-green</artifactId>
            <version>3.5.0</version>
        </dependency>
    <dependency>
        <groupId>com.alibaba</groupId>
        <artifactId>fastjson</artifactId>
        <version>1.2.51</version>
    </dependency>
    <dependency>
        <groupId>com.aliyun.oss</groupId>
        <artifactId>aliyun-sdk-oss</artifactId>
        <version>2.8.3</version>
    </dependency>
java示例中编写的代码有一些是基于java 帮助依赖包的,用于读取文件以及字符串转化。您可按需引入以下内容:
<dependency>
            <groupId>commons-io</groupId>
            <artifactId>commons-io</artifactId>
            <version>2.4</version>
        </dependency>

        <dependency>
            <groupId>commons-codec</groupId>
            <artifactId>commons-codec</artifactId>
            <version>1.10</version>
        </dependency>